%define InstallPrefix /usr/local
%define GIIVersion 0.0.5
%define GIIVerMajor 0
%define GGVersion 0.0.5
%define GGVerMajor 0
Name: libgii
Version: 0.5beta2
Release: 1
Copyright: MIT
Group: Libraries
Summary: libgii shared libraries and config files needed for libgii
Url: http://www.ggi-project.org/
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Source: ftp://ftp.ggi-project.org/pub/ggi/ggi/2_0_beta_2/libgii-0.5.tar.gz

%description
LibGII (General Input Interface) is intended to be to input what our LibGGI
(General Graphics Interface) library is to graphics.

The goal of LibGII is to provide a single easy to use, but yet powerful,
API for all possible input sources. However we are not there yet. The
API is far from set in stone yet, and is likely to change.

The main purpose of this LibGII release is to accompany our LibGGI beta
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be interrested in
the mhub utility found in the demos directory. mhub is a mouse event repeater
and converter. See mhub(1) and the files doc/env.txt and doc/input.txt for
more info.

LibGII is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

This package contains all shared run-time LibGII libraries.

%package devel
Requires: libgii
Group: Development/Libraries
Summary: LibGII include and libtool files.
Copyright: Public Domain

%description devel
LibGII (General Input Interface) is intended to be to input what our LibGGI
(General Graphics Interface) library is to graphics.

The goal of LibGII is to provide a single easy to use, but yet powerful,
API for all possible input sources. However we are not there yet. The
API is far from set in stone yet, and is likely to change.

The main purpose of this LibGII release is to accompany our LibGGI beta
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be interrested in
the mhub utility found in the demos directory. mhub is a mouse event repeater
and converter. See mhub(1) and the files doc/env.txt and doc/input.txt for
more info.

LibGII is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

%package demos
Requires: libgii
Group: Demos
Summary: LibGII sample programs.
Copyright: Public Domain

%description demos
LibGII (General Input Interface) is intended to be to input what our LibGGI
(General Graphics Interface) library is to graphics.

The goal of LibGII is to provide a single easy to use, but yet powerful,
API for all possible input sources. However we are not there yet. The
API is far from set in stone yet, and is likely to change.

The main purpose of this LibGII release is to accompany our LibGGI beta
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be interrested in
the mhub utility found in the demos directory. mhub is a mouse event repeater
and converter. See mhub(1) and the files doc/env.txt and doc/input.txt for
more info.

LibGII is a part of GGI (Generic Graphic Interface).
See http://www.ggi-project.org/ for more info.

%changelog
* Tue Apr 06 1999 Jaromir Koutek <miri@punknet.cz>
  [libgii-0.5-beta2]
  - Using LibGGI 2.0 beta 2 official snapshot

* Wed Dec 30 1998 Jaromir Koutek <miri@punknet.cz>
  [libgii-0.1-beta1]
  - Using LibGGI 2.0 beta 1 official snapshot
  
* Mon Dec 21 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-CVS-devel-981221]
  - Updated for use in RH Contrib|Net
  
* Sun Dec 13 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-2.0.0-devel-981213]
  - Changes for upcoming libggi 2.0 release
  - ./configure used
  
* Fri Aug 14 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980814]
  - KGI target is disabled due to bugs in compilation
  - Added fbdev and palemu targets

* Wed Jul  8 1998 Jaromir Koutek <miri@punknet.cz>
  [libggi-1.4.0-devel-980707]
  - Changelog started.
  - Added bugfix for svgalib install bug.

%prep
%setup -n libgii-0.5

%build
OPTIONS="--prefix=%{InstallPrefix}"
./configure $OPTIONS
make

%install
make install

%post
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
if [ x`grep -c "$LIBGGIPATH" $LDSOCONF` = x0 ]; then
echo "Can't find $LIBGGIPATH in your $LDSOCONF. Adding."
echo -e "\n$LIBGGIPATH" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
LDSOCONF=/etc/ld.so.conf
LIBGGIPATH=%{InstallPrefix}/lib
echo "Warning: uninstall did not remove $LIBGGIPATH in your $LDSOCONF."
/sbin/ldconfig

%files
%defattr(-,root,root)
%config %{InstallPrefix}/etc/ggi/libgii.conf
%doc README doc/env.txt doc/inputs.txt
%{InstallPrefix}/lib/libgg.so.%{GGVersion}
%{InstallPrefix}/lib/libgg.so.%{GGVerMajor}
%{InstallPrefix}/lib/libgii.so.%{GIIVersion}
%{InstallPrefix}/lib/libgii.so.%{GIIVerMajor}
%{InstallPrefix}/lib/ggi/filter/mouse.so
%{InstallPrefix}/lib/ggi/filter/save.so
#%{InstallPrefix}/lib/ggi/input/fdselect.so
%{InstallPrefix}/lib/ggi/input/file.so
%{InstallPrefix}/lib/ggi/input/linux_joy.so
%{InstallPrefix}/lib/ggi/input/linux_kbd.so
%{InstallPrefix}/lib/ggi/input/linux_mouse.so
%{InstallPrefix}/lib/ggi/input/mouse.so
%{InstallPrefix}/lib/ggi/input/null.so
#%{InstallPrefix}/lib/ggi/input/pcjoy.so
%{InstallPrefix}/lib/ggi/input/spaceorb.so
%{InstallPrefix}/lib/ggi/input/stdin.so
%{InstallPrefix}/lib/ggi/input/x.so
%{InstallPrefix}/lib/ggi/input/xwin.so

%files devel
%doc doc/libgii-api.sgml
%{InstallPrefix}/lib/libgg.la
%{InstallPrefix}/lib/libgg.so
%{InstallPrefix}/lib/libgii.la
%{InstallPrefix}/lib/libgii.so
#%{InstallPrefix}/lib/ggi/input/fdselect.la
%{InstallPrefix}/lib/ggi/input/file.la
%{InstallPrefix}/lib/ggi/filter/mouse.la
%{InstallPrefix}/lib/ggi/filter/save.la
%{InstallPrefix}/lib/ggi/input/linux_joy.la
%{InstallPrefix}/lib/ggi/input/linux_kbd.la
%{InstallPrefix}/lib/ggi/input/linux_mouse.la
%{InstallPrefix}/lib/ggi/input/mouse.la
%{InstallPrefix}/lib/ggi/input/null.la
#%{InstallPrefix}/lib/ggi/input/pcjoy.la
%{InstallPrefix}/lib/ggi/input/spaceorb.la
%{InstallPrefix}/lib/ggi/input/stdin.la
%{InstallPrefix}/lib/ggi/input/x.la
%{InstallPrefix}/lib/ggi/input/xwin.la
%{InstallPrefix}/include/ggi/internal/gii.h
%{InstallPrefix}/include/ggi/internal/gii-dl.h
%{InstallPrefix}/include/ggi/internal/gii_debug.h
%{InstallPrefix}/include/ggi/errors.h
%{InstallPrefix}/include/ggi/gg.h
%{InstallPrefix}/include/ggi/system.h
%{InstallPrefix}/include/ggi/events.h
%{InstallPrefix}/include/ggi/keyboard.h
%{InstallPrefix}/include/ggi/gii.h
%{InstallPrefix}/include/ggi/gii-unix.h
%{InstallPrefix}/include/ggi/input/lin_kbd.h
%{InstallPrefix}/include/ggi/input/xwin.h
%doc %{InstallPrefix}/man/man3/giiAddEventMask.3gii
%doc %{InstallPrefix}/man/man3/giiClose.3gii
%doc %{InstallPrefix}/man/man3/giiEventPoll.3gii
%doc %{InstallPrefix}/man/man3/giiEventRead.3gii
%doc %{InstallPrefix}/man/man3/giiEventSend.3gii
%doc %{InstallPrefix}/man/man3/giiExit.3gii
%doc %{InstallPrefix}/man/man3/giiGetEventMask.3gii
%doc %{InstallPrefix}/man/man3/giiGetSelectFdset.3gii
%doc %{InstallPrefix}/man/man3/giiInit.3gii
%doc %{InstallPrefix}/man/man3/giiJoinInputs.3gii
%doc %{InstallPrefix}/man/man3/giiOpen.3gii
%doc %{InstallPrefix}/man/man3/giiPanic.3gii
%doc %{InstallPrefix}/man/man3/giiRemoveEventMask.3gii
%doc %{InstallPrefix}/man/man3/giiSetEventMask.3gii

%files demos
%{InstallPrefix}/bin/xsendbut
%{InstallPrefix}/bin/mhub
